# $Id: smeserver-groupmembers-panel.spec,v 1.3 2021/08/22 05:13:53 terryfage Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary: stripped groups panel. only members can added and removed
%define name smeserver-groupmembers-panel
Name: %{name}
%define version 1.0.4
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-userpanel
Requires: smeserver-release >= 10
Requires: smeserver-formmagick >= 1.4.0-12
AutoReq: no

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.0.4-5.sme
- Fix e-smith references in smeserver-groupmembers-panel [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.0.4-4.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Aug 22 2021 Terry Fage <terry.fage@gmail.com> 1.0.4-3.sme
- apply locale 2013-07-14 patch

* Sat Mar 27 2021 Brian Read <brianr@bjsystems.co.uk> 1.0.4-2.sme
- Add Update event to createlinks [SME: 11081]

* Sat Mar 27 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Sat May 21 2008 --> Sat May 17 2008 or Wed May 21 2008 or Sat May 24 2008 or ....

* Wed Nov 04 2020 Michel Begue <mab974@gmail.com> 1.0.4-1.sme
- first import for sme 10 [SME: 11081]

* Thu Jun 09 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.2-2.sme
- Add Update event to createlinks wrong module path [SME: 9562]

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 1.0.2-1.sme
- initial import to SME9 contribs

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.0.1-31.sme
- apply locale 2013-07-14 patch

* Tue Mar 20 2012 SME Translation Server <translations@contribs.org> 1.0.1-30.el6
- apply locale 2012-03-20 patch

* Wed Apr 27 2011 SME Translation Server <translations@contribs.org> 1.0.1-29.sme
- apply locale 2011-04-27 patch

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 1.0.1-28.sme
- apply locale 2011-03-06 patch

* Sun May 23 2010 SME Translation Server <translations@contribs.org> 1.0.1-27.sme
- apply locale 2010-05-23 patch

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 1.0.1-26.sme
- apply locale 2010-03-02 patch

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 1.0.1-25.sme
- apply locale 2009-10-27 patch

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 1.0.1-24.sme
- apply locale 2009-08-24 patch

* Wed May 20 2009 SME Translation Server <translations@contribs.org> 1.0.1-23.sme
- apply locale 2009-05-20 patch

* Mon Apr 27 2009 SME Translation Server <translations@contribs.org> 1.0.1-22.sme
- apply locale 2009-04-27 patch

* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-20
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Sat Jan 31 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-19
- Apply 31 Jan 2009 locale patch [SME: 4951]

* Thu Jan  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-18
- Apply  1 Jan 2009 locale patch [SME: 4900]

* Sun Nov 30 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-17
- Apply 30 Nov 2008 locale patch

* Mon Nov 17 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-16
- Apply 17 Nov 2008 locale patch

* Wed Nov  5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-15
- Apply  5 Nov 2008 locale patch

* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-14
- Apply 14 Oct 2008 locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-13
- Apply 1 July 2008 locale patch

* Fri Jun 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-12
- Apply 27 Jun 2008 locale patch

* Wed May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-11
  Sat May 21 2008 --> Sat May 17 2008 or Wed May 21 2008 or Sat May 24 2008 or ....
- Apply 21 May 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-10
- Apply 5 May 2008 locale patch

* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-9
- Add common <base> tags to e-smith-formmagick's general

* Wed Apr 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-8
- Added missing locale patch to source control
- Fixed changelog day

* Wed Apr 23 2008 Michael Weinberger <mweinber@neddix.de> 1.0.1-7
- Pootle fix of German locale file, 2nd

* Wed Apr 23 2008 Michael Weinberger <mweinber@neddix.de> 1.0.1-6
-  Pootle fix of German locale file 

* Wed Apr 23 2008 Michael Weinberger <mweinber@neddix.de> 1.0.1-5
-  Fixed messed up German locale file 

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.1-4
- Added 22 April 2008 locale patch

* Tue Apr 1 2008 Shad L. Lords <slords@mail.com> 1.0.1-3
- Update to UTF-8 translations

* Wed Mar 05 2008 Michael Weinberger <mweinber@neddix.de> 1.0.1-2
  Changed header description to "Group members"

* Tue Mar 04 2008 Michael Weinberger <mweinber@neddix.de> 1.0.1-1
  Panel navigation & localization 
  Spec file fix
 
* Fri May 04 2007 Michael Weinberger <mweinber@neddix.de>
  Version 1.0.1
- Add Update event to createlinksed German heading property
- added delegatedGroups option
* Tue Jan 23 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
A stripped groups panel. Only members can be added and removed
This panel can be delegated to users using the smeserver-userpanel

*********************************************
* After installation run:
* /etc/e-smith/events/actions/navigation-conf
*********************************************

By default the user can edit all groups. You can restrict the 
access to a comma separeted list of groups defined defined in 
property 'delegatedGroups' in the user's account record.

Example: You want permit user 'jsixpack' to edit the group members 
of the groups 'sales' and 'devel':

db accounts setprop jsixpack delegatedGroups sales,devel

%prep
%setup  -n %{name}-%{version}


%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/etc/e-smith/locale/@%attr(0644,root,root) &@"\
 -e "s@^/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/@%attr(0644,root,root) &@"\
 -e "s@^/etc/e-smith/web/functions/groupmembers@%attr(0500,root,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
